using Decimation.Content.Items.Misc.Souls;
using Decimation.Content.Items.Placeable.DuneWyrm;
using Decimation.Content.Items.Tools;
using Decimation.Content.Items.Vanity.DuneWyrm;
using Decimation.Lib.Items;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Boss.DuneWyrm
{
    internal class DuneWyrmTreasureBag : DecimationTreasureBag
    {
        public override int BossBagNPC => ModContent.NPCType<NPCs.DuneWyrm.DuneWyrmHead>();

        public override void OpenBossBag(Player player)
        {
            player.QuickSpawnItem(ModContent.ItemType<SoulofTime>(), Main.rand.Next(20, 35));
            player.QuickSpawnItem(ItemID.FossilOre, Main.rand.Next(10, 15));
            player.QuickSpawnItem(ModContent.ItemType<TheHourGlass>());
            if (Main.rand.NextBool(7))
                player.QuickSpawnItem(ModContent.ItemType<DuneWyrmMask>());
            if (Main.rand.NextBool(13))
                player.QuickSpawnItem(ModContent.ItemType<DuneWyrmTrophy>());
        }
    }
}